[arch-commits] Commit in (4 files)

Felix Yan felixonmars at archlinux.org
Thu Aug 16 12:10:18 UTC 2018


    Date: Thursday, August 16, 2018 @ 12:10:17
  Author: felixonmars
Revision: 371947

addpkg: python-geocoder 1.38.1-1

Added:
  python-geocoder/
  python-geocoder/repos/
  python-geocoder/trunk/
  python-geocoder/trunk/PKGBUILD

----------+
 PKGBUILD |   31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

Added: python-geocoder/trunk/PKGBUILD
===================================================================
--- python-geocoder/trunk/PKGBUILD	                        (rev 0)
+++ python-geocoder/trunk/PKGBUILD	2018-08-16 12:10:17 UTC (rev 371947)
@@ -0,0 +1,31 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-geocoder
+pkgver=1.38.1
+pkgrel=1
+pkgdesc="A simple and consistent geocoding library"
+url="https://github.com/DenisCarriere/geocoder"
+license=('MIT')
+arch=('any')
+depends=('python-requests' 'python-ratelim' 'python-click' 'python-six' 'python-future')
+makedepends=('python-setuptools')
+checkdepends=('python-pytest-runner' 'python-requests-mock')
+source=("https://pypi.io/packages/source/g/geocoder/geocoder-$pkgver.tar.gz")
+sha512sums=('e6308b3a918fe2d61bbaa3ad0b0aa2039757a78146acb497fd98e57d4315541dd56a76b482d22823b314e8a093ab8b6759d7aadb6a9c8ab3ee39473e36b218cb')
+
+build() {
+  cd geocoder-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd geocoder-$pkgver
+  python setup.py pytest || warning "Some tests require API key"
+}
+
+package() {
+  cd geocoder-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


Property changes on: python-geocoder/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property



More information about the arch-commits mailing list